import request from '@/utils/request'

// 查询保税区进出口总值数据列表
export function listTOTEXP(query) {
  return request({
    url: '/totexp/TOTEXP/list',
    method: 'get',
    params: query
  })
}

// 查询保税区进出口总值数据所有列表
export function listAllTOTEXP(query) {
  return request({
    url: '/totexp/TOTEXP/listAll',
    method: 'get',
    params: query
  })
}

// 查询保税区进出口总值数据详细
export function getTOTEXP(id) {
  return request({
    url: '/totexp/TOTEXP/getInfo/' + id,
    method: 'get'
  })
}

// 新增保税区进出口总值数据
export function addTOTEXP(data) {
  return request({
    url: '/totexp/TOTEXP/add',
    method: 'post',
    data: data
  })
}

// 修改保税区进出口总值数据
export function updateTOTEXP(data) {
  return request({
    url: '/totexp/TOTEXP/edit',
    method: 'post',
    data: data
  })
}

// 删除保税区进出口总值数据
export function delTOTEXP(id) {
  return request({
    url: '/totexp/TOTEXP/remove/' + id,
    method: 'get'
  })
}
